メインコンテンツへスキップ
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
/
{reindexOperationId}
再インデックス操作の詳細情報を取得します
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId} \
  --header 'Authorization: Bearer <token>'
{
  "completed": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

catalogId
string
必須

カタログ識別子。カタログ一覧で確認できます。

reindexOperationId
string<uuid>
必須

操作 ID。reindex 操作を開始した際のレスポンスで確認できます。

レスポンス

OK

completed
string | null

処理が完了した時刻

created
string<date-time>

操作の作成時刻

currentState
enum<string>
利用可能なオプション:
InProgress,
Failed,
Completed
id
string<uuid>

操作の一意のID

indexModelId
string | null

ドキュメントの分析に使用されるインデックス モデルの ID

workflowProcessingId
string | null

処理ワークフローの ID